Name:		s3backer
Version:	2.0.2
Release:	2%{?dist}
Summary:	Single file S3 backed filesystem
Group:		System/Filesystems
License:	GPLv2+
URL:		https://github.com/archiecobbs/%{name}
Source0:	https://github.com/archiecobbs/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	libtool
# Required for EPEL7
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(libcurl) >= 7.25.0
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
s3backer is a filesystem that contains a single file backed by the Amazon
Simple Storage Service (Amazon S3). As a filesystem, it is very simple: it
provides a single normal file having a fixed size. Underneath, the file is
divided up into blocks, and the content of each block is stored in a unique
Amazon S3 object. In other words, what s3backer provides is really more like an
S3-backed virtual hard disk device, rather than a filesystem.

In typical usage, a normal filesystem is mounted on top of the file exported by
the s3backer filesystem using a loopback mount
(or disk image mount on Mac OS X).

%prep
%autosetup
autoreconf -i

%build
%configure
%make_build

%install
%make_install

%files
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_docdir}/packages/%{name}

%changelog
* Sun Aug 21 2022 Brandon Nielsen <nielsenb@jetfuse.net> 2.0.2-2
- Explicitly required pkgconfig for EPEL7

* Sun Aug 21 2022 Brandon Nielsen <nielsenb@jetfuse.net> 2.0.2-1
- Update to 2.0.2

* Mon Nov 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.6.3-1
- Update to 1.6.3

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.6.2-1
- Update to 1.6.2
- Use pkgconfig where available

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.6.1-1
- Update to 1.6.1
- Use autosetup

* Fri Oct 02 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.5-1
- Update to 1.5.5

* Fri Jan 17 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.4-1
- Update to 1.5.4
- Add missing %{?dist} tag

* Fri Sep 27 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.2-1
- Update to 1.5.2

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.0-1
- Update to 1.5.0

* Thu Mar 29 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.5-1
- Update to 1.4.5

* Wed Aug 17 2016 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.3-1
- Bump to 1.4.3

* Wed Sep 02 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.2-1
- Initial specfile
